False positive error following track change
Description

Status bar error appears in the status bar for about 5 seconds following track change. Screenshot attached.

History

#1 - August 02, 2022 14:30 - John Lindgren
- Tracker changed from Bug to Support

#2 - August 10, 2022 05:29 - Jim Turner

First, make sure you don't have a non-working url in your playlist, as that will cause this error (I was having the same issue just the other day and
that's what it was for me).

#3 - August 11, 2022 22:57 - Louis Cornell

| see there is a "uri" for each track reference, which points to the library location. It has two added backslashes in front of the path, like

uri=file:///mnt/vboxfiles/music/steven_wilson/the_future_bites/04_-_steven_wilson_-_12_things_i_forgot.mp3

Is that the cause? If the location path is wrong, why does the track still play?

#4 - August 11, 2022 22:58 - Louis Cornell

Louis Cornell wrote:
| see there is a "uri" for each track reference, which points to the library location. It has two added forward-slashes in front of the path, like [...]

Is that the cause? If the location path is wrong, why does the track still play?

Louis Cornell wrote:
| see there is a "uri" for each track reference, which points to the library location. It has two added backslashes in front of the path, like [...]

Is that the cause? If the location path is wrong, why does the track still play?

August 24, 2025 12




#5 - August 11, 2022 22:59 - Louis Cornell

Louis Cornell wrote:
Louis Cornell wrote:

| see there is a "uri" for each track reference, which points to the library location. It has two added forward-slashes in front of the path, like

(]

Is that the cause? If the location path is wrong, why does the track still play?

#6 - August 14, 2022 05:45 - Jim Turner

Ok, GOT IT!;)

Yes, that is correct for file uris (file://) - file:// indicates a file path (vs http://, etc.) follows, and the absolute path begins with a "/, hence the 3 slashes.
My question remains are all these file paths correct (exist and have readable permissions and no bad characters? However, this error only comes
from the neon transport plugin, which only processes web urls, so if they're all local files, I'm not sure how you would get this specific message. Also,
the "6" indicates a time out in attempting to read, so my guess is that one of your playlist entries refers to a web-based url. Beyond that, | don't know,
so hopefully someone else can shed some light.

#7 - August 14, 2022 05:49 - Jim Turner

Oh, and you might post your playlist file and try audacious -V (displays a bunch of diagnostic msgs).

Regards,
Jim

Files
